package com.ejie.ad74a.util.constantes;

import org.springframework.context.i18n.LocaleContextHolder;

import com.ejie.ad74a.model.Combo;
import com.ejie.ad74a.util.comun.Utilidades;

public enum EstadoInformesEnum {

	// 1 Solicitado 2 Solicitado proveedor 3 Iniciado 4 Pend aportar 5 Pend Firmar 6
	// Pend Enviar 7Enviado DSS 8 Firmado 9 Disponible

	INICIADO("1", "informe.estado.iniciado"), //
	SOLICITADO("2", "informe.estado.solicitado"), //
	SOLICITADO_PROVEEDOR("3", "informe.estado.solicitadoProveedor"), //
	PENDIENTE_APORTAR("4", "informe.estado.pendAportar"), //
	// PENDIENTE_FIRMAR("5", "informe.estado.pendFirmar"), //
	PENDIENTE_ENVIAR("5", "informe.estado.pendEnviar"), //
	ENVIADO("6", "informe.estado.enviado"), //
	// FIRMADO("8", "informe.estado.firmado"), //
	DISPONIBLE("7", "informe.estado.disponible"), //
	EN_TRAMITACION("99", "informe.estado.enTramitacion");

	private EstadoInformesEnum(String id, String labelDesc) {
		this.id = id;
		this.labelDesc = labelDesc;
	}

	private String id;
	private String labelDesc;

	public String getId() {
		return this.id;
	}

	public static EstadoInformesEnum getEnumByTaskId(String id) {
		for (EstadoInformesEnum tarea : EstadoInformesEnum.values()) {
			if (tarea.getId().equals(id)) {
				return tarea;
			}
		}
		return null;
	}

	public String getLabelDesc() {
		return Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
				LocaleContextHolder.getLocale());
	}

	public Combo getCombo() {
		return new Combo(id.toString(),
				Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
						com.ejie.ad74a.constantes.Constantes.LOCALE_ES),
				Utilidades.getLabelFromResource(Constantes.BASENAME_RESOURCE_AD74A_I18N, this.labelDesc,
						com.ejie.ad74a.constantes.Constantes.LOCALE_EU));
	}

}
